PgBeam Docs
Analytics

Get Vercel Marketplace installation status

GET
/v1/organizations/{org_id}/vercel-installation

Returns the Vercel Marketplace installation for the organization, including its provisioned resources and their current-period usage. Returns 404 when the organization was not provisioned through the Vercel Marketplace. Powers the dashboard's Vercel integration page.

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

org_id*string

Unique organization identifier.

Match^[a-zA-Z0-9_.-]+$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/organizations/org_abc123/vercel-installation"
{  "installation_id": "string",  "vercel_account_id": "string",  "plan": "string",  "status": "string",  "created_at": "2019-08-24T14:15:22Z",  "resources": [    {      "resource_id": "string",      "project_id": "string",      "name": "string",      "billing_plan_id": "string",      "status": "ready",      "period_queries": 0,      "period_bytes": 0    }  ]}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}